<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin - Manage Users</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
    <h1>User List</h1>
    <table class="table table-striped">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Email</th>
            <th scope="col">Role</th>
            <th scope="col">Actions</th>
          </tr>
        </thead>
        <tbody>
          <tr th:each=" user : ${users}">
              <td th:text="${user.id}"></td>
              <td th:text="${user.email}"></td>
              <td th:text="${user.role}"></td>
              <td>
                <form th:if="${user.role} != 'ROLE_ADMIN'" th:action="@{/admin/promote-user/}+${user.email}" method="post">
                    <button class="btn btn-danger"> Promote To Admin</button>
                </form>  
          </tr>
        </tbody>
      </table>
</body>
</html>